#
# spec file for package gpsman
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gpsman
Version:        6.4.4.2
Release:        lp154.2.1
Summary:        GPS manager
License:        GPL-2.0
Group:          Productivity/Scientific/Other
Url:            http://gpsman.sourceforge.net
Source0:        http://sourceforge.net/projects/gpsman/files/distrib/gpsman-%{version}.tgz
Requires:       tcl
BuildArch:      noarch

%description
GPS Manager (GPSMan) is a graphical manager of GPS data that makes
possible the preparation, inspection and edition of GPS data in a
friendly environment. GPSMan supports communication and real-time
logging with both Garmin, Lowrance and Magellan receivers and accepts
real-time logging information in NMEA 0183 from any GPS
receiver. GPSMan can also be used in command mode (with no graphical
interface)

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_datadir}/gpsman/gmicons
mkdir -p %{buildroot}%{_bindir}
sed -e 's:set SRCDIR gmsrc:set SRCDIR %{_datadir}/gpsman:' <gpsman.tcl >%{buildroot}%{_datadir}/gpsman/gpsman.tcl
install -D -p -m 0644 man/man1/gpsman.1 \
  %{buildroot}%{_mandir}/man1/gpsman.1
chmod 755 %{buildroot}%{_datadir}/gpsman/gpsman.tcl
(cd %{buildroot}%{_bindir}; ln -s %{_datadir}/gpsman/gpsman.tcl gpsman)
cd gmsrc
install -c *.tcl %{buildroot}%{_datadir}/gpsman
cd gmicons
install -c * %{buildroot}%{_datadir}/gpsman/gmicons

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/gpsman
%{_mandir}/man1/gpsman.1%{ext_man}
%{_datadir}/gpsman

%changelog
* Sun Mar  5 2017 mpluskal@suse.com
- Initial changelog entry for version 6.4.4.2
